Questo sito utilizza cookies, anche di terze parti, per mostrare pubblicità e servizi in linea con il tuo account. Leggi l'informativa sui cookies.
Username: Password: oppure
C# / VB.NET - [VB.NET] problema conversione da famework 4 ad altra versione
Forum - C# / VB.NET - [VB.NET] problema conversione da famework 4 ad altra versione

Avatar
Lafa_96 (Normal User)
Pro


Messaggi: 111
Iscritto: 09/03/2011

Segnala al moderatore
Postato alle 15:08
Lunedì, 18/04/2011
allora ho creato 3 programmi con il fw 4.0 (i programmi sono un server un client e un programma per rilevare l'ip), questi tre programmi volevo usarli a scuola per passare un po' il tempo mentre la mia prof continua a fare programmi esempio su if...then, comunque quei computer hanno win xp home, e che io sappia supportano al massimo la vers 3.0 del fw (ho provato una sola volta con un programma in 3.5 ma niente...), così per usare i 3 programmi ho dovuto convertirli tutti alla versione 3.0 e li ho testati sul pc dove li ho sviluppati (ovviamente funzionavano); per essere sicuro dell' avvenuta conversione li ho testati anche su un pc con win xp che ha la vers 3.0 del fw e i programmi "ip" e "server" funzionano alla perfezione, ma quando avvio il client mi dice che devo installare la vers 4.0 del fw se voglio avviarlo! il fatto è che l'ho ricompilato alla 3.0 (anche più di una volta)! come posso risolvere?


Non hai bisogno di vedere l’intera scalinata. Inizia semplicemente a salire il primo gradino. (Martin Luther King)
PM
Avatar
HeDo (Founder Member)
Guru^2


Messaggi: 2763
Iscritto: 21/09/2007

Up
0
Down
V
Segnala al moderatore
Postato alle 15:17
Lunedì, 18/04/2011

ma usare facebook o windows messenger?

controlla i dati dell'assembly e il target framework

purtroppo a scuola non possiamo, i pc sono connessi in rete locale a un server che è connesso a internet ma non abbiamo accesso al web (hanno anche disattivato il prompt dei comandi quindi ho dovuto creare anche il prgramma "ip") comunque dell'assmbly e del target framework non ho modificato... - Lafa_96 - 18/04/11 15:48
...nulla ed è uguale agli altri 2 programmi che però funzionano - Lafa_96 - 18/04/11 15:49


Ingegnere Informatico
https://ldlagency.it
PM
Avatar
HeDo (Founder Member)
Guru^2


Messaggi: 2763
Iscritto: 21/09/2007

Up
0
Down
V
Segnala al moderatore
Postato alle 15:58
Lunedì, 18/04/2011
ad ogni modo mi risulta che il Framework .NET 4 è supportato su xp:

http://social.msdn.microsoft.com/Forums/en/netfxsetup/thre ...

dove sta il problema?

solo gli ultimi "rilasci" i "primi xp" non lo supportano (come ho detto ho provato con la vers 3.5 e non funziona) - Lafa_96 - 18/04/11 16:58


Ingegnere Informatico
https://ldlagency.it
PM
Avatar
R0gerBlack (Member)
Expert


Messaggi: 210
Iscritto: 10/06/2010

Up
0
Down
V
Segnala al moderatore
Postato alle 16:09
Lunedì, 18/04/2011
Aggiornare i PC della scuola al Framework 4 no eh?

purtroppo non posso installare niente sui pc della scuola senza 18 mila autorizzazioni, non posso manco modificare lo sfondo e neanche prendere il controllo del terminale con il prompt dei comandi visto che è disattivato...e comunque non funzionerebbe perchè non ha i requisiti per installare il fw 4 - Lafa_96 - 18/04/11 17:01
Sei messo male... sui computer del nostro lab, sei anche amministratore di sistema e puoi cambiare tutto come meglio credi...(solo determinati utenti) - walker93 - 18/04/11 21:58


Volere è potere.

Se la conoscenza crea problemi, non è con l'ignoranza che si risolvono [Isaac Asimov]
PM